<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>AmaltheaFileHelper</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.io</a></div>
<h2 title="Class AmaltheaFileHelper" class="title">Class AmaltheaFileHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>AmaltheaFileHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public final class <span class="typeNameLabel">AmaltheaFileHelper</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INVALID">INVALID</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNamespaceFromFile(java.nio.file.Path)">getNamespaceFromFile</a></span>&#8203;(Path&nbsp;inputPath)</code></th>
<td class="colLast">
<div class="block">Extract the model namespace of the given input file.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNamespaceFromModel(java.io.File)">getNamespaceFromModel</a></span>&#8203;(File&nbsp;inputFile)</code></th>
<td class="colLast">
<div class="block">Extract the model namespace of the given input file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNamespaceFromZip(java.nio.file.Path)">getNamespaceFromZip</a></span>&#8203;(Path&nbsp;inputPath)</code></th>
<td class="colLast">
<div class="block">Extract the model namespace of the given input file.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isZipFile(java.io.File)">isZipFile</a></span>&#8203;(File&nbsp;file)</code></th>
<td class="colLast">
<div class="block">Check if the given file is a zip archive.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="INVALID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INVALID</h4>
<pre>public static final&nbsp;String INVALID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.app4mc.amalthea.model.io.AmaltheaFileHelper.INVALID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isZipFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isZipFile</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isZipFile&#8203;(File&nbsp;file)</pre>
<div class="block">Check if the given file is a zip archive.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - The <code>File</code> to check.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the given file is a zip archive,
         <code>false</code> if not.</dd>
</dl>
</li>
</ul>
<a id="getNamespaceFromModel(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamespaceFromModel</h4>
<pre class="methodSignature">public static&nbsp;String&nbsp;getNamespaceFromModel&#8203;(File&nbsp;inputFile)</pre>
<div class="block">Extract the model namespace of the given input file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputFile</code> - The file for which the model namespace is
                       requested.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The model namespace of the given input file or <i>invalid</i> if
         an error occurs on parsing or the model namespace is invalid.</dd>
</dl>
</li>
</ul>
<a id="getNamespaceFromZip(java.nio.file.Path)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamespaceFromZip</h4>
<pre class="methodSignature">public static&nbsp;String&nbsp;getNamespaceFromZip&#8203;(Path&nbsp;inputPath)</pre>
<div class="block">Extract the model namespace of the given input file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputPath</code> - The <code>Path</code> of the model file for which the model
                  namespace is requested.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The model namespace of the given input file or <i>invalid</i> if an
         error occurs on parsing or the model namespace is invalid.</dd>
</dl>
</li>
</ul>
<a id="getNamespaceFromFile(java.nio.file.Path)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNamespaceFromFile</h4>
<pre class="methodSignature">public static&nbsp;String&nbsp;getNamespaceFromFile&#8203;(Path&nbsp;inputPath)</pre>
<div class="block">Extract the model namespace of the given input file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputPath</code> - The <code>Path</code> of the model file for which the model
                  namespace is requested.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The model namespace of the given input file or <i>invalid</i> if an
         error occurs on parsing or the model namespace is invalid.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
